## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           google-benchmark
Version:        1.8.5
%global so_version 1
Release:        %autorelease

License:        Apache-2.0
Summary:        A microbenchmark support library
URL:            https://github.com/google/benchmark
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  gcc-c++

BuildRequires:  cmake(GTest)
BuildRequires:  gmock-devel

BuildRequires:  doxygen

%description
A library to support the benchmarking of functions, similar to unit-tests.


%package devel
Summary:        Development files for %{name}

Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.


%package doc
Summary:        Documentation for %{name}

# Anything derived from the source-code is Apache-2.0; various files inserted
# by Doxygen are licensed MIT, including at least: clipboard.js cookie.js
# dynsections.js jquery.js menu.js menudata.js navtree.js navtreedata.js
# search/search.js
License:        %{license} AND MIT

BuildArch:      noarch

Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
# A pre-minified copy of JQuery is copied in by Doxygen
Provides:       bundled(jquery-js) = 3.6.0

%description doc
%{summary}.


%prep
%autosetup -n benchmark-%{version} -p1
sed -e '/get_git_version/d' -e '/-Werror/d' -i CMakeLists.txt


%build
# Do not enable BENCHMARK_ENABLE_ASSEMBLY_TESTS, since it is for a very
# specific OS and compiler:
# https://github.com/google/benchmark/issues/1326#issuecomment-1015221235
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release \
    -DGIT_VERSION='%{version}' \
    -DBENCHMARK_DOWNLOAD_DEPENDENCIES:BOOL=OFF \
    -DBENCHMARK_ENABLE_DOXYGEN:BOOL=ON \
    -DBENCHMARK_ENABLE_GTEST_TESTS:BOOL=ON \
    -DBENCHMARK_ENABLE_ASSEMBLY_TESTS:BOOL=OFF \
    -DBENCHMARK_ENABLE_INSTALL:BOOL=ON \
    -DBENCHMARK_ENABLE_TESTING:BOOL=ON \
    -DBENCHMARK_INSTALL_DOCS:BOOL=ON \
    -DBENCHMARK_USE_BUNDLED_GTEST:BOOL=OFF
%cmake_build


%check
%ctest


%install
%cmake_install


%files
%license AUTHORS
%license CONTRIBUTORS
%license LICENSE

%doc README.md

%{_libdir}/libbenchmark*.so.%{so_version}{,.*}


%files devel
%{_libdir}/libbenchmark*.so
%{_includedir}/benchmark/
%{_libdir}/cmake/benchmark/
%{_libdir}/pkgconfig/benchmark*.pc


%files doc
%{_docdir}/benchmark/


%changelog
## START: Generated by rpmautospec
* Tue Jun 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.5-9
- Explicitly disable assembly tests

* Tue Jun 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.5-7
- Attempt to handle license/bundling in Doxygen-generated HTML

* Tue Jun 17 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.8.5-4
- Do not package CONTRIBUTING.md, which is about working with upstream

* Tue Jul 23 2024 Vitaly <vitaly@easycoding.org> - 1.8.5-1
- Updated to version 1.8.5.

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Vitaly <vitaly@easycoding.org> - 1.8.4-1
- Updated to version 1.8.4.

* Mon Mar 25 2024 Vitaly <vitaly@easycoding.org> - 1.8.3-1
- Updated to version 1.8.3.

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

## END: Generated by rpmautospec
